#promotional-banner-container {
  padding: 26px 0;
  background-color: #ececec;
  /* background-color: #ffffff; */
}

@media (min-width: 82rem) {
  @container promo-banner (inline-size <= 74.235rem) {
    c4d-promo-banner::part(image) {
      display: flex !important;
    }
  }
}

@media (min-width: 66rem) {
  c4d-promo-banner::part(cta) {
    margin-inline-start: 2%;
  }
}

@media (min-width: 92rem) {
  c4d-promo-banner::part(cta) {
    margin-inline-start: 6%;
  }
}

@media (min-width: 99rem) {
  c4d-promo-banner::part(cta) {
    margin-inline-start: 7%;
  }
}

@media (max-width: 41.99rem) {
  c4d-promo-banner::part(cta) {
    max-inline-size: 8%;
  }
}

c4d-promo-banner::part(wrapper) {
  background-color: #ffffff;
  /* background-color: #e5f6ff; */
}

.promotional-banner c4d-promo-banner .heading-compact-02 p {
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: 0;
  line-height: 1.375;
  padding-bottom: 0.375rem;
}

.promotional-banner c4d-promo-banner .heading-compact-02+div {
  font-size: 1rem;
}

.promotional-banner img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  aspect-ratio: auto;
  block-size: 100%;
  inline-size: 100%;
  padding-block: 0;
  position: absolute;
  padding-right: 1rem;
}

.promotional-banner c4d-promo-banner c4d-button {
  margin-left: 2rem;
}

.promotional-banner c4d-promo-banner a[slot="cta"] {
  display: inline-grid;
}

@media (min-width: 42rem) {
  c4d-promo-banner::part(content) {
    padding-block: 1.375rem !important;
  }
  c4d-promo-banner::part(cta) {
    padding-block: 1.375rem !important;
    padding-inline: 0 1rem !important;
  }
}

@media (min-width: 71rem) {
  c4d-promo-banner::part(content) {
    padding-inline: 0.5rem 0 !important;
  }
}

.is-hidden {
  display: none;
}

.is-.is-visible {
  display: block;
}
